## ros-iron-rosidl-generator-dds-idl 0.10.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rosidl_generator_dds_idl NONE)

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)

ament_python_install_package(${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_cmake_pytest REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
  ament_add_pytest_test(pytest test)
endif()

ament_package(
  CONFIG_EXTRAS "rosidl_generator_dds_idl-extras.cmake.in"
)

install(
  PROGRAMS bin/rosidl_generator_dds_idl
  DESTINATION lib/rosidl_generator_dds_idl
)
install(
  DIRECTORY cmake resource
  DESTINATION share/${PROJECT_NAME}
)

=== debian/changelog ===
ros-iron-rosidl-generator-dds-idl (0.10.1-3jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#60 <https://github.com/ros2/rosidl_dds/issues/60>)
  * Contributors: Audrow Nash

 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 12 Feb 2023 16:00:00 -0000

ros-iron-rosidl-generator-dds-idl (0.10.0-3jammy) jammy; urgency=high

  * Replace rosidl_cmake imports with rosidl_pycommon (#59 <https://github.com/ros2/rosidl_dds/issues/59>)
  * Contributors: Jacob Perron

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-rosidl-generator-dds-idl (0.9.0-3jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 03 May 2022 16:00:00 -0000

ros-iron-rosidl-generator-dds-idl (0.8.1-3jammy) jammy; urgency=high

  * Add changelog (#56 <https://github.com/ros2/rosidl_dds/issues/56>)
  * Contributors: Ivan Santiago Paunovic

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-iron-rosidl-generator-dds-idl (0.8.0-3jammy) jammy; urgency=high

  * Expose .idl to DDS .idl conversion via rosidl translate CLI. (#55 <https://github.com/ros2/rosidl_dds/issues/55>)
  * Update maintainers. (#54 <https://github.com/ros2/rosidl_dds/issues/54>)
  * Contributors: Michel Hidalgo, Shane Loretz

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 18 Mar 2021 16:00:00 -0000

ros-iron-rosidl-generator-dds-idl (0.7.1-3jammy) jammy; urgency=high

  * Fix customization hooks. (#51 <https://github.com/ros2/rosidl_dds/issues/51>)
  * Simplify code using updated definition API. (#50 <https://github.com/ros2/rosidl_dds/issues/50>)
  * Update code to match refactoring of rosidl definitions. (#49 <https://github.com/ros2/rosidl_dds/issues/49>)
  * Contributors: Dirk Thomas, Michael Carroll

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 07 May 2019 16:00:00 -0000

ros-iron-rosidl-generator-dds-idl (0.7.0-3jammy) jammy; urgency=high

  * Change generator to IDL-based pipeline. (#47 <https://github.com/ros2/rosidl_dds/issues/47>)
  * Contributors: Jacob Perron

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 11 Apr 2019 16:00:00 -0000

ros-iron-rosidl-generator-dds-idl (0.6.0-3jammy) jammy; urgency=high

  * Allow generated IDL files. (#45 <https://github.com/ros2/rosidl_dds/issues/45>)
  * Support service generation on action folders. (#44 <https://github.com/ros2/rosidl_dds/issues/44>)
  * Contributors: Alexis Pojomovsky, Michel Hidalgo, Shane Loretz

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 14 Nov 2018 16:00:00 -0000

ros-iron-rosidl-generator-dds-idl (0.5.0-3jammy) jammy; urgency=high

  * Use CMAKE_CURRENT_BINARY_DIR for arguments json. (#42 <https://github.com/ros2/rosidl_dds/issues/42>)
  * Contributors: Dirk Thomas

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 22 Jun 2018 16:00:00 -0000

ros-iron-rosidl-generator-dds-idl (0.4.0-3jammy) jammy; urgency=high

  * Update style to satisfy new flake8 plugins. (#41 <https://github.com/ros2/rosidl_dds/issues/41>)
  * Fix spelling in docblock.
  * Comply with flake8 + flake8-import-order linters. (#40 <https://github.com/ros2/rosidl_dds/issues/40>)
  * Remove unnecessary include. (#39 <https://github.com/ros2/rosidl_dds/issues/39>)
  * Support sequences of upper bounded strings. (#38 <https://github.com/ros2/rosidl_dds/issues/38>)
  * Update schema url in manfiest file.
  * Add schema to manifest files.
  * Require CMake 3.5. (#35 <https://github.com/ros2/rosidl_dds/issues/35>)
  * Change .template into .em (#34 <https://github.com/ros2/rosidl_dds/issues/34>)
  * Use CTest BUILD_TESTING. (#33 <https://github.com/ros2/rosidl_dds/issues/33>)
  * Update indentation of template logic. (#32 <https://github.com/ros2/rosidl_dds/issues/32>)
  * Change constant member to allow reuse of other functions using the type. (#30 <https://github.com/ros2/rosidl_dds/issues/30>)
  * Change ifder to match filename.
  * Add explicit build type.
  * Fix SKIP_INSTALL to affect generated files. (#26 <https://github.com/ros2/rosidl_dds/issues/26>)
  * Refactor generators, fix timestamp of generated files. (#24 <https://github.com/ros2/rosidl_dds/issues/24>)
  * Fix style.
  * Fix assert.
  * Fix generated idl for static arrays of non-primitive types. (#22 <https://github.com/ros2/rosidl_dds/issues/22>)
  * Refactor message generation. (#20 <https://github.com/ros2/rosidl_dds/issues/20>)
  * Replace hard coded pragma with extension point. (#18 <https://github.com/ros2/rosidl_dds/issues/18>)
  * Only rewrite templated files when the content has changed. (#14 <https://github.com/ros2/rosidl_dds/issues/14>)
  * Disable debug output.
  * Add missing copyright / license information.
  * Code style only.
  * Use two uint64 as writer guid. (#10 <https://github.com/ros2/rosidl_dds/issues/10>)
  * Added support for Request and Response IDL files. (#7 <https://github.com/ros2/rosidl_dds/issues/7>)
  * Fix warning from rti code generator. (#6 <https://github.com/ros2/rosidl_dds/issues/6>)
  * White space only.
  * Use ament_lint_auto. (#2 <https://github.com/ros2/rosidl_dds/issues/2>)
  * Add support for services. (#1 <https://github.com/ros2/rosidl_dds/issues/1>)
  * Use project(.. NONE).
  * Consolidate dependencies.
  * Expand PYTHON_INSTALL_DIR at configure time.
  * Use normalize_path().
  * Allow customizing idl generator.
  * Add constant support.
  * Support upper bounds on arrays and string, support default values for primitive types.
  * Pass upper bound to idl as well as introspection type support.
  * Refactor namespaces / includes for cross implementation communication.
  * Update mapping of primitive types.
  * Support multiple type supports.
  * Add packages which have been moved from other repos.
  * Contributors: Dirk Thomas, Esteve Fernandez, dhood

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 07 Dec 2017 16:00:00 -0000

=== debian/control ===
Source: ros-iron-rosidl-generator-dds-idl
Section: misc
Priority: optional
Maintainer: Shane Loretz <sloretz@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-cmake-pytest <!nocheck>, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rosidl-generator-dds-idl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-ament-cmake, ros-iron-ament-index-python, ros-iron-rosidl-cli, ros-iron-rosidl-pycommon, ros-iron-ros-workspace
Description: Generate the DDS interfaces for ROS interfaces.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-rosidl-generator-dds-idl//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
